package com.ruoyi.shipping.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.shipping.domain.TVessel;

/**
 * 船名Mapper接口
 * 
 * @author ruoyi
 * @date 2021-04-02
 */
public interface TVesselMapper 
{
    /**
     * 查询船名
     * 
     * @param fId 船名ID
     * @return 船名
     */
    public TVessel selectTVesselById(Long fId);

    /**
     * 查询船名列表
     * 
     * @param tVessel 船名
     * @return 船名集合
     */
    public List<TVessel> selectTVesselList(TVessel tVessel);

    /**
     * 新增船名
     * 
     * @param tVessel 船名
     * @return 结果
     */
    public int insertTVessel(TVessel tVessel);

    /**
     * 修改船名
     * 
     * @param tVessel 船名
     * @return 结果
     */
    public int updateTVessel(TVessel tVessel);

    /**
     * 删除船名
     * 
     * @param fId 船名ID
     * @return 结果
     */
    public int deleteTVesselById(Long fId);

    /**
     * 批量删除船名
     * 
     * @param fIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteTVesselByIds(Long[] fIds);

    /**
     * 验证编号唯一性
     * @param tVessel
     * @return
     */
    public TVessel selectTVesselfNo(TVessel tVessel);
    /**
     * 验证名称唯一性
     * @param tVessel
     * @return
     */
    public TVessel selectTVesselfName(TVessel tVessel);
    /**
     * 验证英文名唯一性
     * @param tVessel
     * @return
     */
    public TVessel selectTVesselfEname(TVessel tVessel);
    /**
     * 验证船舶呼号唯一性
     * @param tVessel
     * @return
     */
    public TVessel selectTVesselfImo(TVessel tVessel);

    /**
     * 获取船名信息
     * @return
     */
    public List<Map<String, Object>> selectTVesselfNumber(TVessel tVessel);
}
